# ITR Verification

`POST` `https://secctrl.tutelar.io/api/v1/services/business_profile/itr_verification`

## Sample Request Body

| Body        | Type   | Mandatory | Description                                                  |
| ----------- | ------ | --------- | ------------------------------------------------------------ |
| `user_name` | string | Yes       | Username of the itr portal. Typically it the pan of the user |
| `password`  | string | Yes       | Password of the portal                                       |
| `range`     | number | Yes       | The number of years for which data is being requested        |

## Sample Post Parameters

```json
{
  "user_name": "ABCDE1234F",
  "password": "Test@123",
  "range": 1
}
```

### 200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "372b45f0-23d1-434b-b708-33510e4e4d6c",
  "status": "completed",
  "result": {
    "message": "1 year ITR V available in the last 1 years",
    "itr_result": [
      {
        "pan_number": "EVXPD2019C",
        "filing_year": "2024-2025",
        "acknowledgement_number": "219853550300625",
        "filing_type": "Original",
        "assessment_pdf": "http://3.108.106.182:8000/image-pub/kyc/TUTWEBK00341/itrAssesmentDocuments/itr_assesment_file_1771942044796-1771942044811.pdf"
      }
    ]
  },
  "requested_at": "2026-02-24T14:07:13.087Z",
  "completed_at": "2026-02-24T14:07:25.911Z"
}
```

### 400: Validation Error Response

```json
{
  "success": false,
  "code": 400,
  "message": "User Name should not be empty",
  "error": {
    "message": "User Name should not be empty",
    "field": "user_name",
    "code": "BAD_REQUEST"
  }
}

{
  "success": false,
  "code": 400,
  "message": "Password Should not empty",
  "error": {
    "message": "Password Should not empty",
    "field": "password",
    "code": "BAD_REQUEST"
  }
}

{
  "success": false,
  "code": 400,
  "message": "Range must be a number between 1 and 7",
  "error": {
    "message": "Range must be a number between 1 and 7",
    "field": "range",
    "code": "BAD_REQUEST"
  }
}
```

### 200: In progress

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "91084d90-4468-43c8-b537-cd7a69d2e2b1",
  "status": "in_progress",
  "requested_at": "2026-02-24T14:40:18.115Z"
}
```

### 200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "91084d90-4468-43c8-b537-cd7a69d2e2b1",
  "status": "failed",
  "error": {
    "message": "Incorrect credentials, cannot login. Please try again",
    "code": "ERROR"
  },
  "requested_at": "2026-02-24T14:40:18.115Z",
  "completed_at": "2026-02-24T14:40:35.633Z"
}
```

## Check Document Status

### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/services/business_profile/itr_verification`

#### Query parameters description is given below,

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| `reference_id`  | String | Yes          | Document reference id |

### 200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "372b45f0-23d1-434b-b708-33510e4e4d6c",
  "status": "completed",
  "result": {
    "message": "1 year ITR V available in the last 1 years",
    "itr_result": [
      {
        "pan_number": "EVXPD2019C",
        "filing_year": "2024-2025",
        "acknowledgement_number": "219853550300625",
        "filing_type": "Original",
        "assessment_pdf": "http://3.108.106.182:8000/image-pub/kyc/TUTWEBK00341/itrAssesmentDocuments/itr_assesment_file_1771942044796-1771942044811.pdf"
      }
    ]
  },
  "requested_at": "2026-02-24T14:07:13.087Z",
  "completed_at": "2026-02-24T14:07:25.911Z"
}
```

### 200: Inprogress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "91084d90-4468-43c8-b537-cd7a69d2e2b1",
  "status": "in_progress",
  "requested_at": "2026-02-24T14:40:18.115Z"
}
```

### 200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "91084d90-4468-43c8-b537-cd7a69d2e2b1",
  "status": "failed",
  "error": {
    "message": "Incorrect credentials, cannot login. Please try again",
    "code": "ERROR"
  },
  "requested_at": "2026-02-24T14:40:18.115Z",
  "completed_at": "2026-02-24T14:40:35.633Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/itr-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
